Summary: 		Network traffic analyzer
Name: 			ethereal
Version: 		0.8.16
Release:	 	1
Copyright: 		GPL
Group: 			X11/Applications/Networking
Source0: 		http://www.ethereal.com/distribution/%{name}-%{version}.tar.gz
Source1: 		ethereal.wmconfig
Patch:			ethereal.makessl.patch
Url: 			http://ethereal.zing.org
BuildRoot: 		/var/tmp/ethereal-root
Icon: 			ethereal-logo-small.gif
Packager:	 	Henri Gomez <hgomez@slib.fr>
Requires: 		gtk+ >= 1.2
Requires: 		libpcap >= 0.4
Requires: 		ucd-snmp
BuildRequires: 	libpcap >= 0.4
BuildRequires: 	ucd-snmp-devel
BuildRequires: 	zlib-devel

%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.
It is based on GTK+, a graphical user interface library, and libpcap,
a packet capture and filtering library.

%prep
%setup -q
%patch

%build
#CC="gcc -I/usr/include/pcap" CFLAGS="$RPM_OPT_FLAGS" \
CC="gcc -I/usr/include/pcap" CFLAGS="$RPM_OPT_FLAGS" \
./configure \
   --prefix=/usr \
   --bindir=/usr/sbin \
   --sysconfdir=/etc/ethereal \
   --mandir=%{_mandir} \
   --enable-zlib \
   --enable-snmp \
   --with-ucdsnmp \
   --enable-pcap \
   --with-gnu-ld \
   --disable-static \
   --with-plugindir=/usr/lib/%{name}/plugins/%{version}
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/doc
install -m 644 $RPM_SOURCE_DIR/ethereal.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/ethereal

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Remi
strip --strip-debug $RPM_BUILD_ROOT/usr/sbin/ethereal
find $RPM_BUILD_ROOT/usr/lib/ethereal/plugins -type f -name "*.so" \
| xargs -n1 strip --strip-debug


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/ethereal
%attr(755,root,root) /usr/sbin/*
%config 	/etc/ethereal/manuf
%{_mandir}/man1/*
%dir /usr/lib/ethereal
%dir /usr/lib/ethereal/plugins/%{version}/
/usr/lib/ethereal/plugins/%{version}/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/

%changelog
* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)
  RTSP fixes (Guy)
  CDP updates and fixes (Kent Engstm)
  Call capture_sll() during capture (Gilbert)
  dissectory_try_*() cleanups (Guy)
  SCTP updates (Michael Tuexen)
  Many tvbuffications (Guy)
  GRE updates (Guy)
  Bugfix in WCCPv2 IP encapsulation (Guy)
  M3UA update (Michael Tuexen)
  Updates for DEC LANBridge 100 Spanning Tree protocol (Guy)
  Fix for MPLS Multicast PPP type (Guy)
  IUDA updates (Michael Tuexen)
  NBIPX, NetBIOS fixes (Guy)
  Don't anger the Automake God so that she doesn't install man pages (Guy)
  Wiretap ngnsiffer update for type 7 records (Jeff Foster, Guy)
  Completion of NLM dissector (Ronnie Sahlberg)
  WSP fix (Guy)
  Code cleanup (Guy)
  Make Automake 1.4b happy (Guy)
  Improve RPC processing (Guy)
  Ethernet/ethertype() update (Guy)
  NLM update (Guy)
  Look for SSL library for those that have UCD SNMP compiled with SSL support (Andy Hood)
  GTK dialog box handling cleanup (Guy)
  Support for SUA Light (Micahel Tuexen)
  Mobile IPv6 updates (Borosa Tomislav)
  IEEE 802.11 fix (Johan Jorgensen)
  tru64 doco update (Guy)
  wiretap can write NetMon 2.x files (Guy)
  Dissector registration cleanup (Guy)
  Support for HCLNFSD (Mike Frisch)
  wiretap autoconf cleanup (Guy)
  Enhance registration of ONC RPC-based protocols. (Guy)
  Keep separate cfilters and dfilters lists files. (Guy)
  Remove support for old-style plugins. Goodbye! (Guy)
  Cleanup usage of pcap (Guy)
  SMB update, new error code (Richard)
  SNMPv2u support (Guy)
  Fix bounds problem in invalid SIP packet (Ruud Linders <ruud@lucent.com>, Gerald)
  WTLS support and WSP fixes (Alexandre P. Ferreira)
  Work around CMU SNMP bug (Guy)
  "Decode As" (David Hampton)
  Modularize field types (FT_*) (Gilbert)
  Re-write display filter code (Gilbert)
  "drange" --- modularized byte slice routines for dfilters (Ed Warnicke)
  Always show scrollbar in tree view panel (Gilbert)
  Fixes for lemon parser generator (Guy)
  Updates for dfilter-creation-GUI re: new dfilter code (Guy)
  Better filter string handling (Guy)
  Support for NLMv3 SHARE and UNSHARE (Guy)
  RSVP fixes (Guy)
  VINES fix (Guy)
  Fix for Token-Ring (Guy, Gilbert)
  Clean up warnings from MSVC (Guy)
  Support for V3 CALLIT and V4 BCAST/INDIRECT in portmap (Guy)
  RTP update (Guy)
  Code movement for 802.3 handling (Guy)
  PIM fixes (Guy)
  WCCP update (Simharajan Srishylam)
  TFTP build fix for Windows (Guy)
  RPC updates (Guy)
  Better error handling during captures, including change in protocol between parent and child processes (Guy)
  Try to get "drops" info from libpcap (Guy)
  Proper activation/deactivation for "Decode As" menu item (Guy)
  Do proper display filtering on multiple fields registered to the same name (Guy)
  Properly decode BOOTP option 82 (Greg Kilfoyle)
  WAP/WTLS updates (Neil Hunter)
  NetXray timestamp fixes (Chris Jepeway)
  ISAKAMP update (Yaniv Kaul)
  Add MIP extensions (Stefan, Guy)
  Diameter fixes for handling bad packets (Gilbert)
  Work-around for "line-buffered" not meaning "line-buffered" with MSVC (Guy)
  Re-write of diameter dissector (David Frascone)
  Win32 Ethereal, if started as GUI w/o a console, will create a console when necessary to show warnings/errors. (Guy)
  Correct TSIG decoding in DNS (itojun)
  Add support for SRV RRs in DNS (Nathan)
  Add hidden boolean fields designating bad IP or ICMP checksums (James E. Flemer)
  Add them also for various IP-family protocols (Guy)
  Wiretap support for Etherpeek (v5, 6, and 7) support (Daniel Thompson)
  Display filter doco update (Guy)
  Add cvsdiff-fix.py, for cleaning up the result of "cvs diff" (Gilbert)
  Support for RFC 3024 reverse tunneling support for MIP (Peter Lei)
  Fixes for NBIPX and microsoft-related IPX usage (Guy)
  Support for Rquota protocol (Mike Frisch)
  Code movement for AH dissector (Guy)
  Fix color selection widget in TCP Streams preferences (Gilbert)
  Add "Toggle All", "Enable All" and "Disable All" buttons to dissector-selection GUI (Gilbert)
  Selection of bytes in GUI hex dump selects the appropriate field in the GUI protocol tree (Gilbert)
  MGCP updates (Ed Warnicke)


* Fri Jan 12 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.15
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-16
  HSRP updates (Heikki)
  MGCP updates (Ed, Gilbert)
  Fix infinite loop problem in ICQ dissector (Gilbert)
  Enable optional building of ethereal/tethereal/editcap (Guy, Gilbert)
  SMB fixes (Jeroen Ruigrok van der Werven)
  More complete 'manuf' file. (Gerald)
  X.25 updates (Olivier, Richard)
  RADIUS updates (Guy)
  AIM updates (Ralf Holzer)
  WCCP 2.0 support
  NG Sniffer file-reading fixes (Guy)
  New dissector: Label Distribution Protocol (Richard)
  tvbuff updates, fixes, additions (Gilbert, Guy)
  New dissector: GVRP (Kevin Shi)
  NVS v4 support (Mike Frisch)
  RTSP updates (Guy)
  Miscellaneous clean-ups (Guy, Gilbert)
  NBIPX update (Guy)
  Fix for improper buffer-overflow check in wiretap's pppdump support (Daniel Thompson)
  ISAKMP fix (itojun)
  Add TCP segment and UDP datagram checksumming code (Guy)
  Added Router-Alert IP option, RFC 2113 (Ashok)
  PPP updates (Burke Lau)
  Mobile IPv6 support (Martti Kuparinen)
  "Match Selected" works better with FT_STRING types (Ed Warnicke)
  Windows time format bug avoidance (Richard)
  X.25 over TCP support (Paul Ionescu)
  Enable FT_BYTES display filtering (Ed Warnicke)
  Added tethereal_static build target (Nathan)
  Kerberos update (Nathan, Guy)
  DLT_LINUX_SLL capture type support, used with current libpcap captures on the Linux "any" device. (Guy)
  CLNP update (Guy)
  TFTP update (Guy)
  BGP update (Greg Hankins)
  OSPF update (Guy)
  Capture updates and fixes (Guy)
  LAPBETHER support (Richard, Guy)
  TCP update for TCP MD5 signature (Greg Hankins)
  SMB-PIPE fix (Richard)
  Display filter creation GUI (Guy, based on work by Jeff Foster)
  Updates to HTTP (uPnP and SSDP support) (David Hampton)
  Preferences API updates (Guy)
  DEC LANBridge Spanning Tree Protocol support (Paul Ionescu)
  X.25 over LLC support (Paul Ionescu)
  CDP update for IP Prefix field (Paul Ionescu)
  Tvbuffication of dissectors (Guy, Gilbert)
  Frame Relay and Frame-Relay-over-GRE support (Paul Ionescu)
  Support for NG Sniffer Frame Relay traces (Jeff Foster)
  Conversation/dissector registration updates (Guy)
  MTP3 User Adaptation Layer (M3UA) support (Michael Tuexen)
  Doco updates (Guy)
  SOCKS fix for crashing in a conversation ping-ping (Jeff Foster)
  IEEEE 802.11 fix (Guy)
  Proper (I think) lineheight calculation in proto_draw.c (Gilbert)
  HTTP dissector can accept registration from sub-protocols (Guy)
  make-reg-dotc.py speeds up build on Win32 (Gilbert)
  LLC update (Guy)
  SCTP updates (Michael Tuexen)
  ISDN Q.921-User Adaptation Layer (IUA) support (Michael Tuexen)

* Tue Nov 21 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.14
  Fix time-difference computation in tethereal (Guy)
  SMB LOGON update (Richard)
  Continue capturing if netmask on interface is not found (Guy)
  Add fourth choice of time format: date/time (Guy)
  AFS update (Nathan)
  WAP support (Neil Hunter, Guy)
  SIP support (Heikki Vatiainen)
  FTP update (Richard)
  Plugins can specify several underlying protocols (Olivier)
  Dissector cleanup (Guy)
  AIM/OSCAR support (Ralf Holzer)
  Use preference file field list for summary line in tethereal (Guy)
  GIOP 1.2 support, and other GIOP updates (Craig Rodrigues, Guy)
  Remove carriage returns in getopt.[ch] (Guy)
  SDP handles embedded newlines (Robert Tsai)
  Re-write of EIGRP dissector (Paul Ionescu)
  Tethereal output cleanup (Guy)
  MGCP dissector plugin (Ed Warnicke)
  Tvbuffify: HTTP, NTTP, RSH, RTSP, Telnet, SAP, SDP, FTP, POP, TFTP,
     NBIPX, SMTP, 802.1Q VLAN, ATALK, AARP, ARP, IPP, STP,
    IP, ICMP, TCP, UDP, OSI CLNP, OSI COTP, OSI CLTP, OSI ESIS,
    PPoE, L2TP, X11 (Guy)
  Tvbuffify: NetBIOS (Jeff Foster)
  Add more tvbuff methods (Guy, Gilbert)
  Correct IPv6 router renumbering dissector (Itojun)
  ICMPv6 update (Itojun)
  Re-work of logic in SMTP (Guy)
  ATALK fix (Guy)
  NetBIOS update (Gerald)
  Code movement to libethereal (Guy)
  Column-related fixes in DNS/NBNS (Gilbert)
  Plugin API fix (Guy)
  Documentation update (Guy)
  IEEE 802.11 support (Johan Jorgensen, Axis Communications)
  Dissectors can be registered by name, for later lookup (Guy)
  GIOP update (Frank Singleton)
  Tweak the DATA dissector (Guy)
  NTP update (Phil Techau, Gerald)
  Add #include's to clean compiler warnings (Craig)
  Conversation fix (Guy)
  Wiretap error-reporting fix (Guy)
  Add col_set_str() to save memory-copying when the string is static (Guy)
  Fix for AFS buffer-overrun exploit (Gerald)
  Fix possible buffer overruns in NBNS, NTP, ICQ, resolv.c, pppdump.c (Gerald)
  Tvbuffify: AUTO-RP (Heikki Vatiainen)
  Have tethereal initialize winsock like Ethereal does (Gilbert)

* Fri Oct 27 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.13
- manuf is now installed in /etc/ethereal/
- RPM is ready for RH 7.0
  Macro movement to pint.h (Gilbert)
  Keep TVBUFF_SUBSET constructor from dying after a ReportedBoundsError (Gilbert)
  CWR and ECN flags in TCP (Ulrich Kiermayr <kie@thp.univie.ac.at>)
  Correct startup/shutdown of windows sockets for name resolution (Graham)
  Add "-p" option to control promiscuity of capture, Debian bug #34376 (Guy)
  Wiretap support for Nokia firewall tcpdump, yet another mutant libpcap format that didn't change the magic number (Guy)
  ECN in IP header (Ulrich Kiermayr <kie@thp.univie.ac.at>)
  Fix for #include of <net/if.h> (Guy)
  Close the handle for the SNMP library after inspecting it on Linux (Guy, Gilbert)
  EOF check (Guy)
  Wiretap support for Shomiti Surveyor 3.x, aka "unofficial snoop v4" (Guy)
  Wiretap support for reading pppd log files (pppdump format) (Gilbert)
  Add -l option to tethereal to make stdout line-buffered.  (Guy)
  Add "Next Sequence number" field to TCP (Guy)
  Other TCP updates (Guy)
  Add direction flag, if available, to Frame dissection. (Gilbert)
  Rename NCP include file with code in it to packet-ncp2222.inc (Gilbert)
  Dissect WTAP_ENCAP_ATM_RFC1483 with dissect_llc() (Guy)
  Wiretap support for NetXRay ATM captures (Guy)
  Make an "epan" directory, and move core routines to libethereal (Gilbert, Olivier, Guy)
  Doco updates (Guy)
  Dynamic buffer for format_text() (Guy)
  Telnet update (Guy)
  HTTP update (Guy)
  RTSP update (Guy)
  BXXP update (Richard)
  DNS updates (A6, DNAME, and RFC 2673 bitstring label) (Per Flock)
  ISAKMP check for bad data (Gilbert, Jack Keane)
  ISAKMP update for SHA2 and AES encryption assignments (Yaniv Kaul)
  Move Frame dissection do separate file (Gilbert)
  Add support for modal message boxes (Guy)
  DNS updates (Brian Wellington)
  Add Capture->Stop menu item (Santeri)
  ICMPv6 bad data check (Santeri)
  Check for python executable in autogen.sh (Gilbert)
  On Unix/X, the default font preference matches only ISO 8859/1 fonts (Guy)
  Complete the COPS dissector (Heikki Vatiainen)
  Update for Session Announcement Protocol (Heikki Vatiainen)
  Better heuristic for detecting Linux mangling of token-ring header (Gilbert)
  Fix for DNS A6 RR decoding (Per Flock)
  Support for H.261 and TPKT, replacement of RTP and RTCP dissectors, and changes to Q.931 dissector (Andreas Sikkema)
  Case-insensitive string checks in HTTP dissector (Isaac Wilcox)
  RTCP band-aid for allegedly-NTP timestamp (Guy, from Jason Lango's RTCP dissector)
  Diameter updates (David Frascone)
  Capture statistics improvements (Santeri)
  Check the ICMP checksum (Guy)
  Support for conversations with "wildcard" destination addresses (Jeff Foster, Guy)
  HSRP off-by-one fix (Guy)
  IPX and TCP column-related fixes (Guy)
  make-reg-dotc fix (Guy)
  AFS static-function cleanup (Guy)
  Filter GUI ease-of-use fixes (Santeri)
  Support for Routines for IGRP dissection <Paul Ionescu>



* Thu Sep 14 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.12
  OSPF enhancements (Craig Metz)
  Buffer-overflow protection with snprintf (Gilbert)
  Add "Save As" feature to TCP Follow dialogue (Gilbert)
  NFS update (Guy)
  Show correct IP cksum if cksum in packet is incorrect (Johannes.Hennecke@elsa.de, Gilbert, Guy)
  Fixes for srvloc (Guy, Peter Kjellerstedt)
  Reorganize Win32 README (Gilbert)
  ICQ updates (Peter Kjellerstedt)
  ICMP proto_tree fix (Guy)
  Filter dialogue GUI fix (Guy)
  Fix rlogin "fd" assumption (Guy)
  Packet-length fixes in various dissectors (Guy)
  Add preferences to OSI CLNP/COTP/CLTP (Laurent)
  Dissector tables allow for tvbuff and non-tvbuff dissectors (Guy)
  Code cleanup (Laurent, Guy)
  SMB fix (Richard)
  Add scripts to turn lists of protocols and filterable fields, as produced by "ethereal -G", to SGML (Richard)
  RPC updates (Uwe)
  NLM v1 updates (Uwe)
  Add Help window (Laurent)
  Improve add_host_name fill IP host hasthable from DNS answers (Laurent)
  Add doc strings to ncp2222.py (Gilbert)
  Fix display of IPv6 frag header in proto_tree (Santeri Paavolainen)
  Add wiretap support for Cisco Secure Intrusion Detection System IPLog format (Mike Hall, Gilbert)
  Allow "filtering" in TCP Follow Save As, i.e., save entire conversation, or either half of the conversation (C->S, S->C) (Gilbert, Laurent)
  Doco update (Guy)
  BOOTP fix (Phil Techau)
  Fix Help|About order (Guy)
  Add #defines to DNS dissector (Guy)
  Fix compilation in non-source directory (Laurent)
  Add ethertypes (Laurent)
  Add routines for fetching little-endian and big-endian 64-bit integral quantities, if G_HAVE_GINT64 is defined (Guy)
  ISIS CLV fix (Laurent)
  Add proto_tree_add_text_valist (Laurent)
  make-reg-dotc fix (Guy)
  header-file inclusion fixes (Laurent)
  Add Kerberos 5 dissector (Wes Hardaker, Guy, Gilbert)
  Speedup of random access to compressed ngsniffer files (Guy)
  LLC non-SNAP fix (Guy)
  snprintf fixes (Guy)
  "TCP follow" support for TCP over IPv6 (Laurent)
  Add RSH dissector (Robert Tsai)
  Add HPUX doco and patches (Guy)
  Better handling of failing to open capture device (Guy)
  Cope with Linux ISDN packet headers (Guy)
  Enable/disable particular protocols (Laurent, Uwe)
  Small RPC and NFS fix (Uwe)
  Preferences GUI updates (Laurent, Guy, Gilbert)
  Packet deselection fix (Guy)
  Re-organize popup menu (Laurent)
  GUI convenience function updates (Guy)
  DNS A6 records are now RFC 2874, not i-d (itojun)
  Add support for draft-ietf-ipngwg-icmp-name-lookups-06.txt (ICMP node information query) (itojun)
  Gryphon plugin fix (Laurent)
  Plugin fix (Laurent)
  Add Zebra dissector (Jochen, Guy)
  ICMPv6 dissector alignment fix (itojun)
  Add port type for SCTP ports (Michael Tuexen)
  Potential buffer overflow fixes (Laurent)
  Add info to summary window (Laurent)
  Add initial support for SMTP dissector (Richard, Laurent)
  Choose bold font from normal-weight font name (Guy)
  Font fixes (Laurent)
  BGP display filter fix (Laurent)
  Ascend display filter fix (Laurent)
  Ability to mark frames with middle mouse button. (Laurent)
  Tethereal initialization fix (Guy)
  Turn FT_NSTRING_UINT8 into FT_UINT_STRING (Gilbert)
  NCP fix (Gilbert)
  Remove "Decode IPv4 TOS field as DiffServ field" from display options (Laurent)
  Add a help context identifier to the status bar (Laurent)
  Fix CLEANUP_* macros in exceptions code (Gilbert)
  LDAP dissector fix (Guy)
  RPC packet-state fix (Guy)
  Name updates to stuff in GSS authentication for ONC RPC (Dug Song)
  Update doco (Guy, Laurent)
  libpcap->wiretap encapsulation type mapping fix for new DLT_ types (Guy)
  LLC fix (Guy)
  pptp fix (Laurent)
  vines fix (Laurent)
  NFS v2 READDIR fix (Guy)
  Add FT_STRINGZ type (Gilbert)
  Move pointer-integer functions (pntohl, et al) to separate file (Gilbert)
  Add initial support for BXXP (Richard)
  Fix method for building list of network interfaces (Uwe, with tip o' hat to W. Richard Stevens)
  GIOP endianness fix (Gilbert)
  Random character in help dialogue fix (Laurent)
  Change wtap_read() parameter list to avoid hacks in some wiretap modules (Gilbert)
  g_malloc()/g_free() fixes (Guy)
  New tvbuff routines (Gilbert, Richard)
  libsnmp.so loading fix (Guy)
  Use inverse video instead of boldface in hex dump (Graham Bloice, Guy)
  Ability to choose fixed-width font as a GUI preference (Guy)
  Default to "6x13" rather than Lucida Typewriter, as not all X servers have Lucida Typewriter (Guy)
  Comment-out Cut/Copy/Paste items in Edit menu (Guy)
  redraw_hex_dump fixes (Guy)
  Negative relative and delta timestamp fixes (Guy)
  Move some string functions out of packet.c and into strutil.c (Gilbert)
  OSPF fixes (Craig Metz)
  Avoid assert in tvbuff when creating packet of bogus reported_length (Gilbert)
  Don't allow hf_text_only to be in the display filter language (Gilbert)
  Win32 .cvsignore additions (Graham)

* Mon Aug 21 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.11
  Set locale in tethereal (Guy)
  Dialog box utility routines (Guy)
  Modal window fixes (Guy)
  GUI cleanups (Guy)
  Add support for preferences (Guy)
  IPv4 DiffServ is a preference (Guy)
  Add strcasecmp.c for those systems that need it, like SINIX-M (Uwe)
  BOOTP magic cookie fix, option-dissection fix (Guy)
  SNMPv3 fix for security model values 1 and 2 (Guy)
  Make AH payload dissection placement a preference (Gilbert)
  Timestamp display fix (Guy)
  CLNP TSAP fix (Guy)
  NFS filehandle dissection for ReliantUNIX and Linux nfsd/knfsd (Uwe)
  TCP summary info in protocol tree is an option (Gilbert)
  OSPF enhancements and fixes (Michael Rozhavsky)
  inet_aton()-related build fixes (Guy)
  UDP has heuristic dissector table, and uses it for RPC (Uwe)
  Dissection of RPCSEC_GSS credentials in ONC RPC (Dug Song)
  DNSSEC additions/name changes (Jakob Schlyter)
  Error message cleanups (Guy)
  DNS support for MS's WINS and WINS-R resource records (Guy)
  tvbuff-ication of H1 dissector, and response identifier display change (Gerrit Gehnen)
  SCTP dissector (Michael.Tuexen@icn.siemens.de)
  Capture-window titlebar fix (Gilbert)
  Support for building SVR4 binary packages (Gerald)
  proto_tree/dfilter interaction change (Gilbert)
  Fix URL for libpcap (Guy)
  Improved autogen.sh script (Bruce Korb)
  Add "debian" target to Makefile (Olivier)
  Tethereal packet-count and new-line fix (Gilbert)
  SNMP "agent address" trap PDU display fix (Guy)
  Support for many more DHCP options (Jose Pedro Oliveira)
  Compiler-warning fixes in wiretap (Guy)
  Reset "visited" flag when rescanning a file (Gilbert)
  Add RPM and SRPM build targets (Gerald)
  Another shot at the undead libpcap monster fix (i.e., extra info in headers for ss990915 libpcap) (Guy)
  Add aclocal-flags to fix build headaches (Guy)
  In proto_tree_add_item(), access tvbuff before adding anything to proto_tree. (Gilbert)
  Add Quake 1 dissector (Uwe)
  GIOP dissector warns about unsupported GIOP versions (Gilbert)
  dfilter2pod build fix (Gilbert)
  Re-write of NCP dissector. Adds python to build. :) (Gilbert)
  Fix Edit->Filters...->Apply (Richard)
  Add DIAMETER dissector (David Frascone)
  Display TCP RST data as text, as per RFC 1122 (Guy, with tip o' hat to Kevin Steves)
  Support for capturing from a pipe (FIFO or STDIN). (Olivier)
  Cross-platform build fixes (Guy)
  Fix directory-checking routines (Guy)
  Display filters now work on string types (Gilbert)
  Initial templates for decoding all 4 NLM protocol versions (Uwe)

* Tue Jul 04 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.10
  Code cleanup (Gilbert)
  Assign port 1052 to DDTP (Olivier)
  Add syslog dissector (Gerald)
  Build cleanup (Guy)
  X11 dissector (Christophe, Guy)
  RPC cleanup (Guy)
  tvbuffication (Olivier, Gilbert)
  Remove dead tos_str symbol (itojun)
  More manufacturer ether codes (Gaetan Soltesz <gaetan@cisco.com>)
  Support for capturing on Linux ATM interfaces (Mark Clayton)
  NG Sniffer file reading fixes (Joerg, Guy)
  Make 'tethereal -h' look similar to 'ethereal -h' (Joerg)
  Support for "Update list of packets in real time" on Win32 (Graham)
  Win32 makefile dependency fix (Graham)
  Fix for people who don't read the FAQ. I.e., fix for calling snmp_set_full_objid(0 in packet-snmp.c (Guy)
  OSI fix (Guy)
  ISIS fix (Guy)
  AFS volume name display fix (Guy)
  tvbtest enhancements (Guy)
  Treat TCP follow temp file as binary, for Win32 (Guy)
  Read NetXRay 2.002 files (Joerg, Guy)
  Fix octet string buffer overflow in packet-snmp.c (Guy)
  asn1.c/packet-snmp.c code cleanup (Guy)
  Variable name ("cf"/"cfile") cleanup (Ben Fowler)
  GUI-code enhancements (Guy)
  Wiretap enhancements (Guy)
  Support for OSI CLTP (Guy)
  ISAKMP padding fix (Guy)
  GUI progress bar change (Guy)
  Debian build-file fix (Olivier)

* Thu Jun 06 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.9
  Timestamps in RTP summary column (Jason Lango)
  Fix build warnings (Ron Flory)
  Make our GtkCList sortable (Graham Bloice)
  Use F<> instead of B<> for files in man pages (Guy)
  Fix a type IP packet counter (Gerald)
  Build fixes (Gilbert, Guy)
  Rename "private" to "dump", to avoid C++ reserved word (Guy)
  Add tvbuff class and exceptions module (Gilbert, Guy)
  Convert dissectors to use tvbuffs (Gilbert, Olivier, Guy)
  Support ISAKMP Configuration Method (Yaniv Kaul)
  Fix tethereal/wiretap error-reporting bug (Gilbert)
  Add sample Makefile for regression testing (Gilbert)
  Dissect substring filters in packet-ldap.c (Guy)
  Fix wtap.h typo (Alan Harrison)
  Change usage of 'fd' in file.c (Ben Fowler)
  Fix endian bug in ngsniffer.c (Guy)
  Fix smb-pipe NetServEnum (Guy)
  Fix VTP to correctly add ipv4 address to proto_tree (Guy)
  cf->current_frame fix for correctly displaying GtkCList (Guy)
  SMUX and SNMPv3 support (Jochen Friedrich)
  Fix snmp-less build (Guy)
  Show Ethernet trailer (Gilbert)
  Old-style fixes for bounds checking (Guy, Gilbert)
  Make proto_tree_is_visible false more of the time (Guy)
  Support for GRE over IPX (Paul Ionescu)
  Move psuedo_header out of frame_data structure to save memory. Required changes in wiretap, too. (Guy)
  Doco fixes (Guy)
  Mark DCHP packets as DHCP, using bootp.dhcp flag. (Paul Ionescu)
  Fix randpkt.c for new wtap_dump() (Gilbert)
  Correctly handle 0-length FT_BYTES (Gilbert)
  Header file fixes (Guy, Gilbert)
  SMUX-related fix (Guy)
  More wiretap zlib fixes (Guy)
  Detect Cisco and Novell type IPX packets (Paul Ionescu)
  Close the capture file descriptor (Mark Burton, Guy)
  More ISAKMP additions (Yaniv Kaul, Guy)
  Support for EIGRP over Appletalk and IPX (Paul Ionescu)
  Fix display of IP fragment (Scott Howard)
  Fix for Linux ISDN ippp devices (Gilbert)
  Change handling of capture_ppp() (Gilbert)
  SMB fixes (Mark Burton)
  Support for reading compressed Sniffer fils (Tim Farley, Joerg, Guy)
  GTK dialogue fixes (Guy)
  Incorporate gtkclist.c from GTK+ 1.2.8 (Guy)
  Initial SCTP support (Michael Tuexen)
  Support for Mobile IP dissection (Stefan Raab, Gilbert, Guy)
  Fix for X.25 dbit (Gilbert)
  Enable more dissector handoff tables (Guy)
  Win32 build enhancements (Graham Bloice)
  X.25 LCN display fix (Olivier)
  C/C++ typedef fixes (Guy, Andreas Sikkema)
  Change proto_tree_add_*() calls to find more errors at compile time (Guy)
  Fix plugin function pointer table (Gilbert)
  Add "Enable name resolution" check box to File Open dialogue (Gilbert)
  Fix RSVP for Resv Tear Confirm message (Gilbert)
  Show ICMP sequence number as two bytes instead of integer of unknown-endianness (Gilbert)
  Add gtk_set_locale() to main (Kaoru Kusunoki)
  Make dissect_ah() use dissector handoff tables (Gilbert)
  Fix L2TP dissector to call dissect_ppp() (Gilbert)
  Support for COPS (Heikki)

* Tue May 09 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.8
  Implement dissector tables for various protocols (Gilbert, Guy)
  Add "visited" flag to each frame (Gilbert, Guy)
  Renamed the DHIS protocol to DDTP (Olivier)
  Change win32 port to build as a Windows (non-console) program (Guy)
  Improved display of FTP data (Richard)
  Add icon and resource for Win32 ethereal (Graham Bloice)
  OSI fix (Guy)
  Wiretap code cleanup (Guy)
  Updates to OSI CLNP, CLTP, ISIS. Added OSI ESIS (Ralf Schneider)
  Per-frame data allocation (Richard)
  Update NCP code to use conversation types (Guy)
  Fix checksum option decoding in CC/CR TPDU in CLNP dissector (Laurent)
  Detect compressed A/C PPP fields (Greg Kilfoyle)
  Support for decoding MS Proxy protocol (Jeff Foster)
  Fragmented IPv6 fix (Guy)
  Fixes to LPD dissector (Matthijs Melchior <mmelchior@lucent.com>)
  Support for RTCP and RTP (Jason Lango)
  RTSP fixes (Guy)
  IPv4 dissector and doco fix (Ben Fowler <wapdev@leedsnet.com>)
  Add proto_tree_add_int_format() (Gilbert)
  Support IPv6 name resolution A6 packet (itojun)
  Support AD and CD bit in RFC2535 section 6 (itojun)
  Add "-s" to editcap (Guy)
  Print spaces as spaces in hex dump pane (Gilbert, Guy)
  Don't dissect encrypted payload in ISAKMP packet (Guy)
  SINEC H1 fixes (Gerrit Gehnen)
  Plugin fixes (Gerrit Gehnen)
  Win32 build fixes (Graham Bloice)
  Doco updates (Guy)
  Menu fixes (Guy)
  Dialogue window helper functions (Guy)
  GUI button-cration functions (Guy)
  Speedups in token-ring dissector (Gilbert)
  Registration of lists of "heuristic" dissectors (Guy)
  Ethereal child process error-handling (Guy)
  Fix problems with dialoge windows popping up multiple times (Guy)

* Thu Apr 13 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.7
  Small memleak in "Find Frame" plugged (Guy)
  Correct behavior for stopping frame search (Guy)
  RPM spec file fix (Patrick Higgins <phiggins@transzap.com>)
  Disable "Update list of packets in real time" and
    "Automatic scrolling in live capture" for Win32 (Gilbert)
  Avoid using zero-length arrays in packet-rsvp.c (Guy)
  Add wtap_read() func to wtap.c (Richard, Guy)
  Update to SMB Browse (Richard)
  Rlogin dissector (Jeff Foster)
  Re-arrange dissector_add() calls and make some dissectors static
    for dissectors under TCP and UDP (Guy)
  Remove unused value_string in packet-llc.c (Guy)
  Add DOCSIS BPDU (Johannes Hennecke <Johannes.Hennecke@elsa.de>)
  Separate variables for "File|Open" and "File|Save [As]" (Guy)
  BGP confederations support (Greg Hankins)
  Correct display of FT_BOOLEANs inside bitfields (Gilbert)
  Catch loops in DNS names. Avoids zlip DNS DoS exploit (Guy)
  Compile tethereal and editcap for Win32 (Gilbert)
  Support CIFS-over-TCP w/o NBSS (Mark Muhlestein)
  .cvsignore updates (Ben Fowler)
  Add SOCKS[45] dissector, plus changes to conversation.c (Jeff Foster)
  Fix int size for I and S LLC frames. (Guy)
  Update packet-osi.c [CLNP] (Guy)
  Update packet-isis.c (Guy)
  Fix typo in packet-h1.c (Guy)
  Update Win32 doco (Guy)
  Fix null filter string display in summary dialogue (Guy)


* Fri Apr 07 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.6
  L2TP spelling fix (Florian)
  RADIUS update (Florian)
  LDAP build fix (Guy)
  Fix for not being able to capture more than once in a session (Guy)
  Developers' doc update (Guy)
  Build fixes (Guy)

* Thu Apr 06 2000 Henri Gomez <hgomez@slib.fr>
- 0.8.5
  Fix for reading Toshiba ISDN router trace files (Gilbert)
  Fix proto_* calls in various dissectors (Guy, Gilbert)
  Fix offset in packet-ipp.c (Guy)
  Documentation updates (Guy, Olivier)
  Another iteration of the frame_data pointer/GtkCList headache (Guy)
  Support for DUMP and EXPORT replies in packet-mount.c (Uwe)
  Support for MPLS (Ashok)
  RSVP fixes (Guy)
  Fix TCP Stream (Guy)
  Break proto_tree_add* functions into many more (Gilbert, Guy)
  Win32 version uses HOMEDRIVE and HOMEPATH instead of HOME (Guy)
  More *BSD zlib fixes (Guy)
  Fix to handle SNMPv2 TRAP PDUs (Dietmar Petras)
  Fix SNMP (Guy)
  Fix "Find Frame"/"Go To Frame" dialogue boxes (Guy)
  Plugin API fixes (Guy)
  LAPB update (Olivier)
  EIGRP update (Guy)
  V120 update (Guy)
  RADIUS changes (Florian Lohoff)
  Add new filterable fields to eth, tr, fddi, isl (Jeff Foster, Gilbert)
  Add Novell option decoding (Fredrik Sorensson <fsn@volvo.se>>
  More proto- and dfilter- assertions (Gilbert, Ben Fowler <wapdev@leedsnet.com>)
  Fix IPv6 fragment handling (Jochen Friedrich)
  DNS update (Guy, Itojun)
  IPv4 udpate (Guy)
  Enable capturing in Win32 (Paul Welchinski)
  Fix for SMB (Andreas Sikkema)
  Wiretap update; fix for Netmon reader (Guy)
  L2TP fixes (Florian Lohoff)
  NFS update (Guy)
  Telnet update (Guy)
  Per-frame proto data (Richard)
  ASN.1 update (Guy)
  PPP over GRE fix (Gilbert)
  ISIS-HELLO fix (Ralf Schneider)
  Display filter string length fix (Ralf Schneider)
  Re-work of LDAP dissector (Doug Nazar)
  Win32 file-save fix (Andreas Sikkema)
  Add getopt routine for Win32 (Gilbert)
  BGP route reflection support (Greg Hankins <gregh@twoguys.org>)
  BOOTP fix (Michael Johnston)
  Lex build fix (Guy)
  Remove extra menu entries for "Find Frame" and "Go To Frame" (Guy)
  Wiretrace's iptrace reader now reads IBM SP switch traces (Jochen Friedrich)
  HP-UX build fix (Guy)
  Plugin update (Olivier)
  Summary dialogue window fix (Guy)
  Ethereal exit logic re-org (Guy)
  Filter dialogue re-org (Guy)
  Use GMemChunk for frame_data structs (Guy)
  Allow registration of protocol handoffs (Jeff Foster, Guy)
  Win32 build fix for new WinPcap library (Guy)

* Fri Mar 03 2000 Henri Gomez <gomez@slib.fr>
- 0.8.4
  Listen for exception on GDK_INPUT_EXCEPTION on sync pipe (Gilbert)
  Correct timestamp bug in dissect_ipopt_timestamp() (Paul Ionescu, Olivier)
  Win32 fixes (Ed Meaney)
  Fix PLUGIN_DIR scanning (Olivier)
  Support for Cisco Group Management Protocol (Guy)
  Allow filtering on 24-bit integral fields (Guy)
  Support for Cisco's Virtual Trunking Protocol (guy)
  Enable plugins on Win32 (Gilbert)
  Debian packaging changes (Olivier)
  Win32 build fix (Gilbert)
  Fix bug in tftp (Dietmar Petras)
  Support for Time Protocol (Dietmar)
  Support for win32 libpcap (Ed Meaney)
  Typo in Makefile.am (Sean Walmsley <sean.p.walmsley@Hydro.ON.CA>)
  Build fix, plus suport for setuid ethereal [DANGEROUS!]
    (Peter Kjellerstedt <peter.kjellerstedt@axis.com>)
  Typo fix in OSPF (Nick Amato)
  Code movement (Guy)
  NetBSD zlib build fix (Itojun, Guy)
  Misc. code fixes (Guy)
  Win32 fixes (Guy)
  Support for SMB Mailslot and Netlogin (Jeff Foster)
  BOOTP fix (Dietmar Petras)
  "A header file for every dissector" (Gilbert)
  Fix NetBIOS name types (Richard)
  Allow for non-"struct timeval" in tethereal (Gilbert)
  Upgrade gtkclist.c to GTK+-1.2.7 (Gilbert)
  Support raw IP nettl captures (Olivier)
  Fix X.25 data structure initialization (Olivier, Guy)
  New WTAP error code: WTAP_ERR_UNSUPPORTED_ENCAP (Guy)
  LanMan fix (Richard)
  Doco updates (Guy)
  Fix for UCD SNMP 4.1.x
  "Resolve Name" item in proto tree popup (Laurent)
  Buffer fix (Guy)
  SMB Logon fix (Richard, Jeff Foster)
  Tethereal fix for multi-arg filters on command line (Guy)
  Fix HTTP request and response (Laurent)
  Support for Dynamic Host Information Services (Olivier)
  Add TCP segment length to TCP packet summary (Fred Reimer)
  Pop up single packet's proto tree in new window (Jeff Foster, Guy)
  Developer's README, finally! (James Coe, Guy, Jeff Foster, Gilbert)
  Support for HP-UX 11 nettl files (Olivier)
  Make scrollbar placement option ubiquitous (Guy)
  Support for Sinec H1 protocol (Gerrit Gehnen)
  Show version number resource in COTP (Gerrit Gehnen)


* Tue Feb 22 2000 Henri Gomez <gomez@slib.fr>
- 0.8.3-2
  Applied patch from CVS

* Wed Feb  2 2000 Henri Gomez <gomez@slib.fr>
- 0.8.3
  Modified spec file to requires ucd-snmp-devel
  Win32 path delimiter fixes (Guy)
  clnp fix (Guy)
  tethereal initialization fix (Guy)
  Debian packaging files (Olivier)
  NFS readdir* segfault fix (Uwe)
  file_seek() fix (Guy)
  "struct timeval"/"struct bpf_timeval" fix (Guy)
  TFTP Option Extension (RFC 2347) support (Craig Newell)
  Menu fixes (Gilbert)
  PPP sequence number fix (Gilbert)
  Support for NetXRay WAN traces (Gilbert)
  X.25 fix (Guy)
  TCP Follow EBCDIC toggle fix (Gilbert)
  New get_home_dir() function for HOME env var (Gilbert, Guy)
  Additional NLPIDs (Guy)
  New "ethereal_static" make target (Nathan)
  Capture window close button fix (Nathan)
  Plugin directory symlink scanning fix (Olivier)
  Add SNMP trap port to udp dissector (Guy)

* Tue Feb  1 2000 Henri Gomez <gomez@slib.fr>
- 0.8.2-2
  Modified libpcap/tcpdump/arpwatch no more required, ethereal
  team has modified its stuff to allow use with standard Redhat RPMs.
  Updated spec (Thanks to Remi Guyomarch <rguyon@mail.dotcom.fr>).
  Added snmp support, used system zlib (not recognized on Sparc Arch),
  suppress static compil of plugins, add /usr/lib/ethereal/* to clean 
  plugins at desintall of etheral.
 
* Wed Jan 26 2000 Henri Gomez <gomez@slib.fr>
- 0.8.2
  Spec file modified to include editcap and tethereal
  Add editcap as standard install target (Guy)
  Add manpage for editcap (Guy)
  GUI code movement (Guy)
  Read-only Win32 support (Gilbert, Guy)
  L2TP updates (Laurent Cazalet, Thomas Parvais)
  select() workaround for Linux libpcap bug (Guy)
  Cisco CDP fixes (Guy)
  Hex dump option in TCP Stream window (Olivier)
  Assorted frame numbering fixes (Guy)
  Filterable RTSP fields (Jason)
  X.25-over-Ethernet support, perhaps (Guy)
  Export and usage of NLPID values (Guy)
  zlib fix for {Free,Open,Net}BSD (Guy, Itojun)
  Add tethereal and manpage (Guy)
  Doc updates (Guy, Gilbert)
  Fix type in hex printing in netbios (Gerald)
  Work around RedHat 6.1 libpcap filter "feature" (Gerald)
  Fix alignment issues (Guy)
  Tethereal mods (Nathan)
  Use gmodule for dynamic linking instead of libltdl (Gilbert)
  Build fixes (Guy)
  Plugins in tethereal (Olivier)
  Editcap mods (Richard)
  Change code to use strchr() instead of index() (Guy)
  Change code to use strrchr() instead of rindex() (Guy)
  Pop-up menus with right-clicks (Jerry Talkington)
  Packet scrolling option in capture dialogue window (Guy)
  Full NFSv3 support (Uwe)
  Fix byte-order and alignment problems in PPTP
    (Thomas Quinot, Debian bug 55347)
  Support for both HP-UX 9.04 and HP-UX 10.20 nettl files (Olivier)
  "Inactive Subset" in ISO 8473 CLNP (Gerrit Gehnen)
  Vines update (Joerg)
  tm_mon fix (Guy)
  New proto_item_set_text() and proto_tree_add_notext() functions (Guy)
  New functionality in dissect_rpc_string() (Guy)
  CDP fixes (Paul Ionescu)
  packet_info and ethernet changes (Guy)
  LLC updates (Guy)
  Flag for IPv4 TOS field/DiffServ field (Heikki Vatiainen)
  Cisco ISL support (Guy)
  Workaround for GTK+-1.2.[3-6] text widget bug (Gerald)
  Menu updates and fixes (Gerald, Gilbert, Guy, henceforth "3G")
  Parse multiple COMMUNITIES value in BGP (Itojun)


* Wed Jan 12 2000 Henri Gomez <gomez@slib.fr>
  Corrected spec file <rugolsky@ead.dsa.com>

* Mon Jan 10 2000 Henri Gomez <gomez@slib.fr>
- 0.8.1
  Fix mulitiple-selection bug in packet list (Gilbert)
  Check for libtool and libtool version (Guy)
  Toshiba file reader handles relative dates (Gilbert)
  File|Open dialogue box directory hack (Gilbert)
  Modify appearance of lines and expanders in GUI proto tree (Gilbert)
  Make code ANSI-C compliant and other build fixes (Guy)
  Fix side effects of using GtkCTree and GTK_SELECTION_BROWSE (Guy)
  Abstract out some of the menu code from the GUI routines (Guy)
  Re-arrange some GUI code (Guy)
  "Default" button for resetting plugin filter string (Olivier)
  Plugin status save/restore (Olivier)
  Add notes about sniffing VMware connections (Gilbert)
  Add focus for "Find Frame" and "Go to Frame" (Guy)
  Reconcile differences in integer size used for ports
    in conversation code and packet_info code (Gilbert)
  Empty string capture filters for libpcap craziness (Gerald, Guy)
  Manpage updates (Guy)
  Print packets as multiple pages of PostScript (Guy)
  Fix "Follow TCP Stream" print function (Guy)
  Avoid segfault in SMB reported by
    Aaron Bush <abush@microcenter.com> (Gilbert)
  L2TP support (John Thomes)
  Allow printing during capturing

* Wed Dec 30 1999 Henri Gomez <gomez@slib.fr>
- 0.8.0
  RPC and NFS updates, complete NFSv2 support (Uwe, Gilbert)
  Initial TNS support (Nathan)
  Documenatation and distribution updates (Gilbert, Guy, Itojun, Gerald)
  SMB fixes (Gilbert, Richard, Olivier, Greg Kilfoyle)
  Color preference fixes and updates (Guy)
  NetBIOS fixes (Guy)
  IPX fixes and updates (Guy, Nathan)
  Capture/file save facility updates (Guy)
  Add IPX stats to capture window (Gilbert)
  Appropriately enable/disable the "follow" menu item (Florian)
  ICQ fixes from Guy and Kojak (Guy)
  Add Christopher McAvaney's format_text() fix (Guy)
  Stream window color prefs (Gerald)
  Myriad GUI fixes and enhancements (Gilbert, Guy)
  RADIUS fixes thanks to Arni Raghu <arni@caip.rutgers.edu> (Gilbert)
  VLAN updates (Nathan)
  Byte view fixes (Nathan)
  Initial TACACS+/XTACACS support (Nathan)
  Multiple file format capability in wiretap and Ethereal (including Snoop,
  Netmon 1.x, Sniffer, Netxray, and various flavors of libpcap)
  (Guy, Olivier, Nathan)
  Added editcap to the distribution (Richard)
  Enhancements to wiretap's file output capabilities (Guy)
  Add our own SNMP PDU dissector; other SNMP fixes and updates (Guy)
  ASN.1 code added; used by SNMP dissector, and available for other use
  by other dissectors (Guy)
  LLC/SNAP fixes and updates (Guy, Nathan)
  NTP fixes (Guy, Gerald)
  ISAKMP updates from Dave Chapeskie (Guy)
  Reduced dependency on "global.h" (Gilbert, Guy)
  HTTP updates from Jerry Talkington (Guy)
  Added IRC dissector (Nathan)
  DNS updates (Nathan)
  Added James Coe's patch(es) to add SRVLOC and NCP-over-IP support (Guy)
  CLI fixes and enhancements (Guy)
  ARP improvements (Nathan)
  Capture length fixes for IRIX (Guy)
  BGP updates from Greg Hankins, and other BGP fixes (Itojun)
  Added Philip Gladstone <philip@raptor.com>'s patch to check IP header
  checksum (Gilbert)
  GRE updates, merged code from Jerry Talkington (Guy)
  AppleTalk updates, including NBP and RTMP dissectors (Nathan, Guy)
  Initial LDAP support (Nathan)
  X.25 updates (Olivier)
  Plugin support (Olivier)
  Fixes for packet-ip.c (Guy, Gilbert)
  Jerry Talkington's patch to move filter prefs to their own dialog (Guy)
  Fixes for RedHat's modified version of libpcap (Guy)
  WCCP dissector from Jerry Talkington (Guy)
  rwho/rwhod/ruptime support added (Gilbert)
  Added Bert Driehuis <driehuis@playbeing.org>'s I4B wiretap module
  and V.120 decoder (Gilbert, Guy)
  RSVP fixes (Gilbert)
  NCP fixes and updates, other fixes from James Coe (Nathan, Guy)
  Q.931 updates from Bert Driehuis (Guy)
  ISDN4BSD updates (Guy)
  Support for ISIS thanks to Stuart Stanley (Guy)
  Support for Dearborn Group Technology's Gryphon as a plugin (Gilbert)
  Win32 port updates (Guy)
  LPD segfault fixes reported by Gregor Glomm (Gilbert)
  GUI page added to preferences (Gilbert)
  Libtool integrated with the distribution (Gerald, Guy, Itojun)
  OUI updates (Guy)
  Summary-dialog-on-empty-capture segfault bug squished (Guy)

* Wed Dec  8 1999 Henri Gomez <gomez@slib.fr>
- 0.7.9
  Compilation warning fix (Guy)
  Updates to Q.931 (Guy)
  Updates to Q.2931 (Guy)
  Display filter widget uses GtkCombo (Gerald)
  Added SNMP over Ethernet (Gilbert)
  Small changes to display filters from tcp follow and match selected (Gilbert)
  Fix problem and update SMB (Richard)
  Update portmap (Uwe)
  Update NFS (Uwe)
  Support for iptrace 1.0 files (Gilbert; thanks to
    Florian Lohoff <flo@rfc822.org> for sample trace files)
  Update support for netmon 2.0 files (Guy)
  Updates to ATM (Guy)
  Updates to ARP (Guy)
  Updates to DNS (Guy)
  Support for both PPP and LAPB as WAN links in NG Sniffer files (Guy)
  Colorize TCP streams (Gerald)
  Make autoconf check for correct contents of libz library (Guy)
  Updates to About box (Guy, Gilbert)


* Wed Nov 24 1999 Henri Gomez <gomez@slib.fr>
- 0.7.8
  Added RPC and NFS (Uwe)
  Added IGRP/EIGRP (Don)
  "Print" button in TCP Follow window (Warren Young)
  BGP enhancemnets (Itojun, Greg)
  Wiretap support for Toshiba ISDN router traces (Gilbert)
  More filterable fields (Guy, Laurent)
  AIX and IBM C compiler fixes (Craig Rodrigues)
  General fixes (Guy)
  LPD dissector segfault fix (Gilbert)
  ICQ update (Kojak)
  VLAN update (Nathan)
  "Find Frame" function (Guy)
  Support for newer libpcaps, and broken RH 6.1 libpcap (Guy)
  DNS update (Brian J. Murrell), and similar NBNS update (Guy)
  More DNS updates (Guy)
  "Go to frame" function (Guy)
  Added IMAP (Nathan)
  Added various RPC stubs (Nathan)
  Added portmap (Nathan)
  Added LAPD (Gilbert, Guy)
  LLC fix (Guy)
  Added Q.931 (Guy)
  SMB updates and segfault fixes (Richard)
  Added bootparams (Nathan)
  Added ypserv (Nathan)
  Conversation code fix (Guy)
  Added mount and stat (Nathan)
  Added MAPI (Nathan)
  IPv4 address comparison and subnet testing in display filters (Gilbert)
  Added NLM (Uwe)
  More IPX SAP types (Nathan)
  Automatic ETT_* enum number registration (Guy)
  Added SAP (Session Announcement Protocol) (Heikki)
  Wiretap support for ATM iptrace files (Guy, Gilbert)
  OSPF fix (Heikki)
  General routines for registration of "init" routines (Guy)
  Added ILMI (SNMP over ATM AAL5) (Guy)
  Added SSCOP (Guy)
  Added Q.2931 (Guy)
  "Match selected" produces display filters with field names (Gilbert)
  IPX packet summary resolves IPX network names and MAC addresses (Gilbert)
  POP fixes (Heikki)
  Added VRRP (Heikki)
  Display filter "Reset" button (Laurent)
  Added HSRP (Heikki)
  SNA packets show hex dump with EBCDIC converted to ASCII (Gilbert)
  Added Cisco Auto-RP (Heikki)

  
* Wed Nov 10 1999 Henri Gomez <gomez@slib.fr>
- 0.7.7-2
  Added BuildRequires

* Tue Nov  2 1999 Henri Gomez <gomez@slib.fr>
- 0.7.7
  Check header length in IP header (Guy)
  Fix printf formats in packet-rx.c (Guy)
  NTP changes (Tomislav Vujec)
  Add conversation mechanism and generalize net/datalink address storage (Guy)
  Fix ipproto.c bug (Guy)
  Removed erroneous assert in packet-sna.c (Gilbert)
  Support for Appletalk DDP, Banyan Vines, and SNA FID type 4 addresses
  in "address" type code (Guy)
  Fixes for Appletalk and Vines (Guy)
  Add ICQ dissector (Kojak)
  Remove compilation warnings in packet-snmp.c (Tomislav)
  Remove compilation warnings from packet-smb.c (Richard)
  Add make-reg-dotc to let non-GNU makes work. (Guy)
  Fix AIX compilation (Guy, Gilbert)
  Fix autoconf weird-path problem (Guy)

* Mon Nov  1 1999 Henri Gomez <gomez@slib.fr>
- 0.7.6
  Fix xdlc bug (Guy, Gilbert)
  Add name resolution option to GUI. (Laurent)
  Fix LLC bug (Guy)
  Display filter bug fixes
	Santeri Paavolainen <santtu@ssh.fi>
	Dewi Morgan <dewim@sco.com>
	(Gilbert)
  Print changes (Guy)
  NG Sniffer FDDI time unit fix (Guy)
  Fixes for SINIX (Uwe Girlich)
  Lots of fork/sync fixes (Guy)
  Add filename to Capture dialog box (Guy)
  New display filters for many protocols
	(Laurent... the man!)
  Check for bad packet lengths in many protocols
	(Laurent, Gilbert, Guy)
  More SMB fields and fixes (Richard, Guy)
  NBNS fix (Richard)
  POP fix (Laurent)
  Fix behavior for bad color filters (Gilbert)
  Default colors for color wheel (Santeri Paavolainen <santtu@ssh.fi>)
  ZLIB error messages (Guy)
  Display filter byte-string syntax additions (Gilbert)
  IPv6 proto_tree and display filter support (Lareunt, Jun-ichiro)
  Added info to protocol registration (Gilbert)
  Added signed integer support to display filters (Phil Techau)
  IPv6 fixes (Jun-ichiro)
  ASCII/EBCDIC conversion in TCP Follow window (Gilbert)
  Add DOUBLE filtering to display filters (Gilbert)
  OSPF fix to dissect MD5 field (Tony Hard <thart@avici.com>
  Automated method of finding proto_register functions (Guy)
  Wiretap support for nettl (HP-UX trace tool) (Olivier)
  Added BPDU (Christophe Tronche)
  Added SNA (Gilbert)
  Added RIPng, PIM (Jun-ichiro)
  Added Yahoo messager and pager protocols (Nathan)
  Added NTP (Nathan)
  Added BGP (Jun-ichiro)
  Added AFS, RX (Nathan)
  Addef VLAN (802.1q) (Nathan)

* Tue Oct 12 1999 Henri Gomez <gomez@slib.fr>
- 0.7.5
  Fixed bug when reading files on FreeBSD (Guy)
  Fixed compilation bug when disabling zlib on FreeBSD (Guy)

* Fri Sep 24 1999 Henri Gomez <gomez@slib.fr>
- 0.7.4
  Fixed Radcom file reader in wiretap (Olivier)
  Add "--with-ucdsnmp" to autoconf (Bert Driehuis <driehuis@playbeing.org>)
  Fix snoop reader for Solaris seek problem (Guy)
  NetBIOS and NBIPX updates (Guy)
  Capture dialogue changes (Guy, Laurent)
  Movement of GTK files to subdirectory (Gilbert, Guy)
  Wiretap support for Lucent/Ascent WAN router traces (Gerald)
  Added dissector for Internet Cache Protocol (Peter Torvals)
  Added dissector for Internet Printing Protocol (Guy)
  Show the IP flags as 4 bits (Daniel Ryde <ryde@tripnet.se>)
  Changed usage of FT_BOOLEAN (Gilbert)
  Fixed bugs with short packets and eth, tr, and fddi (Gilbert, Guy)
  Fix for IPX SAP types (Mark H. Wood <mwood@IUPUI.edu>)
  TRMAC now uses dfilter variables (Gilbert)
  randpkt added; produces trace file of random packets (Gilbert)
  New helper macros in packet.h (Guy)
  x.25 and lapb fixes (Olivier)
  Wiretap compilation fixes (Laurent)
  OSI fixes; CLNP now uses dfilter variables (Laurent)
  New Collapse/Expand All function (Laurent)
  Enhanced printing options (Guy)
  zlib support for compress trace files (Ashok)
  Fix ICMP timestamp dissection (Dirk Bonne <dirk@out1.mx.skynet.be>)

  
* Wed Sep 8  1999 Henri Gomez <gomez@slib.fr>
- 0.7.3
  Colorization of the packet summary list has been added.
  Initial ATM support was added. 
  NBNS and RSVP were updated. 
  Much work has also gone into optimizing code and 
  providing user-friendly defaults and error messages.

* Fri Aug 20 1999 Henri Gomez <gomez@slib.fr>
- 0.7.2
  Another memory leak fix (Jochen)
  Allow compilation from different directory (Laurent)
  -R flag for on command line, applied when reading a capture file (Jochen)
  Updated docs (Guy)
  Handles ICMP Unreachable|Frag Required (John)
  NetBEUI support (Jeff, Guy)
  Fix for Token-Ring RIF display (Gilbert)
  Dramatically decreased file-load time (Guy)
  Fixed -S option timeout handling (Laurent)

* Fri Aug 13 1999 Henri Gomez <gomez@slib.fr>
- 0.7.1
  Fixed big memory leaks in dfilter code (Guy)
  Enhanced xdlc, llc, and x25 (Guy, Olivier)
  Made glossary-dump option not initialize X11 (Guy)
  Fixed logical operands in dfilter code (Gilbert)
  Added progress bar to display filter (Gilbert)

* Fri Aug 6 1999 Henri Gomez <gomez@slib.fr>
- 0.7.0
  Addition of RTSP and SDP dissectors (Jason)
  New proto_tree and display filter system (Gilbert)
  Updated SMB suport (Richard)
  RADIUS dissector added (Johan)
  Display filter text-entry does auto-reload (Guy)
  Now compiles on Win32 (Gilbert)
  Removed support for GTK+-1.[01].x (Gilbert)
  Column re-sizing changes (Guy)
  Linux ATM Classical IP support (Theirry)
  X.25 support in wiretap iptrace routine (Olivier)
  Wiretap fix for "-S" ethereal option (Laurent)
  LAPB and X.25 dissectors added (Olivier)
  FreeBSD compilation cleanups (Bill Fumerola,
    <billf@jade.chc-chimes.com>)
  Ability to print all packets at once (Guy)

* Wed Jul  7 1999 Henri Gomez <gomez@slib.fr>
- 0.6.3 released
  Capture dialogue window data bug-fix (Guy)
  PPPoE (PPP over Ethernet) added (Jeff Jahr)
  ISAKMP, GRE, PPTP added (Brad Robel-Forrest)
  RSVP added (Ashok Narayanan)
  Summary dialogue added (Aaron Hillegass)
  Match Selected GUI added (Ashok Narayanan)
  Display Option GUI allows change of Time column (Guy)
  GTK 1.[12] bug fix (Gilbert)
  Code clean up (Guy)
  strerror() added for platforms that don't have it (Guy)

* Thu May 20 1999 Henri Gomez <gomez@slib.fr>
- 0.6.2 released
  Almost-real-time capture and display (John, Laurent)
  Initial support for SMB (Richard)
  Initial support for SNMP (Didier, Gilbert)
  Wiretap now reads NetMon 2.0 file formats (Guy)

 
* Mon May  1 1999 Henri Gomez <gomez@slib.fr>
- 0.6.1-1 added doc


* Mon May  1 1999 Henri Gomez <gomez@slib.fr> 
- version 0.6.1
  Released because of packaging problem in 0.6.0
  Information about building on Tru64

* Wed Feb 24 1999 Henri Gomez <gomez@slib.fr>
- Added Requires libpcap
- Modified to map to RH5.2 libpcap RPM
  IPv6 support greatly improved (Jun-ichiro)
  IPsec added (Jun-ichiro)
  NCP code totally re-written (Gilbert)
  GTK dependencies removed from packet-*.c code (Gilbert)
  Captures now saved in temporary files (Gilbert)
  Statistics are more accurate during capture (Guy)
  TCP-follow bug fixed (Laurent)
  ANSI complieant bitfields for TCP and AATALK (Gilbert)
  Various time fields decoded better (Guy)
  NetBIOS Node types added to DHCP (Guy)
  Cisco Discovery Protocol updated (Hannes)
  DNS acronyms converted to English (Guy)
  FTP, TFTP, POP, and Telnet added (Richard)
  NNTP and HTTP added (Guy)
  NetBIOS Sessions over TCP added (Guy)
  NetBIOS Name Servic improved (Guy)
  IP field over-writing bug fixed (Hannes)
  Wiretap does some offline filtering (Gilbert)
  Wiretap now supports NetMon, NetXray, Sniffer Pro (Guy)

